%global module_name qserve

Name:           python-%{module_name}
Version:        0.2.8
Release:        5%{?dist}
Summary:        Job queue server

License:        BSD
URL:            https://github.com/pediapress/qserve
Source0:        http://pypi.python.org/packages/source/q/qserve/%{module_name}-%{version}.zip

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  pytest
BuildRequires:  python-gevent
BuildRequires:  python-simplejson
Requires:       python-gevent
Requires:       python-simplejson

%description
qserve is a job queue server written in Python.


%prep
%setup -qn %{module_name}-%{version}
sed -i '/^#!/d' qs/*.py


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%check
py.test

 
%files
%doc README.rst
%{python_sitelib}/*


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Aug 13 2013 Ian Weller <iweller@redhat.com> - 0.2.8-3
- Add tests

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Jan 29 2013 Ian Weller <iweller@redhat.com> - 0.2.8-1
- Update to 0.2.8

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb 15 2012 Ian Weller <iweller@redhat.com> - 0.2.7-1
- Update to 0.2.7 (gevent compatibility)
- Change BuildRequires: python2-devel
- Add Requires: python-gevent python-simplejson
- rm rm -rf in install section

* Fri Jan 13 2012 Ian Weller <iweller@redhat.com> - 0.2.6-1
- Initial package build
